/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.testcase;

import com.eviware.soapui.impl.EmptyPanelBuilder;
import com.eviware.soapui.impl.wsdl.WsdlTestCase;
import com.eviware.soapui.model.DesktopPanel;

/**
 * PanelBuilder for WsdlTestCase
 * 
 * @author Ole.Matzura
 */

public class WsdlTestCasePanelBuilder extends EmptyPanelBuilder
{
   private final WsdlTestCase testCase;

   public WsdlTestCasePanelBuilder(WsdlTestCase testCase)
   {
      this.testCase = testCase;
   }

   public DesktopPanel buildDesktopPanel()
   {
      return new WsdlTestCaseDesktopPanel( testCase );
   }

   public boolean canBuildDesktopPanel()
   {
      return true;
   }

   public String getDesktopPanelTitle()
   {
      return "Test Case: " + testCase.getTestSuite().getName() + ":" + testCase.getName();
   }
}
