package com.eviware.soapui.impl.wsdl.support;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.MultiThreadedHttpConnectionManager;

/**
 * HttpClient related tools
 * 
 * @author Ole.Matzura
 */

public class HttpClientSupport {

	private static final Integer lock = new Integer( 9 );
	private static HttpClient instance;
	
	public static HttpClient getHttpClient()
	{
		if( instance == null )
		{
			synchronized( lock )
			{
				if( instance == null )
				{
					MultiThreadedHttpConnectionManager connectionManager = 
		      		new MultiThreadedHttpConnectionManager();
		      	instance = new HttpClient(connectionManager);
				}
			}			
		}
		
		return instance;
	}
	
}
