/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */
 
package com.eviware.soapui.model.testsuite;

import com.eviware.soapui.model.ModelItem;

/**
 * A TestStep in a TestCase
 * 
 * @author Ole.Matzura
 */

public interface TestStep extends ModelItem
{
   public TestCase getTestCase();

	public void prepare( TestRunner testRunner );

	public void run( TestRunner testRunner );
	
	public void addTestStepListener( TestStepListener listener );
	
	public void removeTestStepListener( TestStepListener listener );
	
	public boolean cancel();
	
	public interface TestStepListener
	{
		public void beforeRun( TestStep testStep );
		
		public void afterRun( TestStep testStep );
	}

}
