/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.tree;

import java.awt.Component;

import javax.swing.JPopupMenu;

import com.eviware.soapui.model.DesktopPanel;
import com.eviware.soapui.model.ModelItem;

/**
 * Behaviour for navigator tree nodes
 * 
 * @author Ole.Matzura
 */

public interface SoapUITreeNode
{
   public int getChildCount();

   public int getIndexOfChild(Object child);

   public boolean valueChanged(Object newValue);

   public SoapUITreeNode getChildNode(int index);

   public boolean isLeaf();
   
   public JPopupMenu getPopup();
   
   public Component getOverviewPanel();
   
   public DesktopPanel getDesktopPanel();

   public ModelItem getModelItem();

   public boolean hasContentPanel();

   public SoapUITreeNode getParent();
}
