/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.tree.nodes;

import com.eviware.soapui.model.iface.Operation;
import com.eviware.soapui.model.tree.AbstractTreeNode;
import com.eviware.soapui.model.tree.SoapUITreeNode;

/**
 * SoapUITreeNode for Operation implementations
 * 
 * @author Ole.Matzura
 */

public class OperationTreeNode extends AbstractTreeNode
{
   public OperationTreeNode(Operation operation)
   {
      super( operation, operation.getInterface() );
   }

   public int getChildCount()
   {
      return getOperation().getRequestCount();
   }

   public int getIndexOfChild(Object child)
   {
      Operation operation = getOperation();
		for( int c = 0; c < operation.getRequestCount(); c++ )
      {
         if( operation.getRequestAt( c ).getTreeNode() == child ) return c;
      }
      
      return -1;
   }

   public Operation getOperation()
   {
   	return (Operation) getModelItem();
   }
   
   public SoapUITreeNode getChildNode(int index)
   {
      return getOperation().getRequestAt(index ).getTreeNode();
   }
}
