/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.support;

import org.apache.xmlbeans.XmlObject;

/**
 * Support class for reading XmlObject based configurations..
 * 
 * @author Ole.Matzura
 */

public class XmlObjectConfigurationReader
{
	private final XmlObject config;

	public XmlObjectConfigurationReader(XmlObject config)
	{
		this.config = config;
	}

	public int readInt(String name, int def )
	{
		try
		{
			XmlObject[] paths = config.selectPath("$this/" + name);
			if (paths.length == 1)
				return Integer.parseInt(paths[0].newCursor().getTextValue());
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
      
      return def;
	}

	public float readFloat(String name, float def )
	{
		try
		{
			XmlObject[] paths = config.selectPath("$this/" + name);
			if (paths.length == 1)
				return Float.parseFloat(paths[0].newCursor().getTextValue());
		}
		catch (Exception e)
		{
		}
      
      return def;
	}
	
	public String readString(String name, String def )
	{
		try
		{
			XmlObject[] paths = config.selectPath("$this/" + name);
			if (paths.length == 1)
				return paths[0].newCursor().getTextValue();
		}
		catch (Exception e)
		{
		}
      
      return def;
	}
}
