/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.impl.wsdl;

import junit.framework.TestCase;

import com.eviware.soapui.impl.wsdl.WsdlInterface;
import com.eviware.soapui.impl.wsdl.WsdlOperation;
import com.eviware.soapui.impl.wsdl.WsdlProject;
import com.eviware.soapui.impl.wsdl.WsdlRequest;
import com.eviware.soapui.impl.wsdl.WsdlSubmit;
import com.eviware.soapui.model.iface.Response;

public class WsdlRequestTestCase extends TestCase
{
	public void testRequest() throws Exception
	{
		// create new project
		WsdlProject project = new WsdlProject();

		// import amazon wsdl
		WsdlInterface iface = project.importWsdl( "http://localhost:8082/soapui-tests/test1/TestService.wsdl" )[0];

		// get "Help" operation
		WsdlOperation operation = (WsdlOperation) iface.getOperationByName( "GetPage" );

		// create a new empty request for that operation
		WsdlRequest request = operation.addNewRequest( "My request" );

		// generate the request content from the schema
		request.setRequest( operation.createRequest( true ) );

		// submit the request
		WsdlSubmit submit = (WsdlSubmit) request.submit();

		// wait for the response
		Response response = submit.getResponse( true );

		//	print the response
		String content = response.getContentAsString();
		System.out.println( content );
		assertNotNull( content );
		assertTrue( content.indexOf( "/webservices/TestService") > 0  );
	}
}
