/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */
 
package com.eviware.soapui.model.impl.wsdl.support;

import java.io.File;
import java.util.Map;

import javax.xml.namespace.QName;

import junit.framework.TestCase;

import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.XmlObject;

import com.eviware.soapui.impl.wsdl.support.SchemaUtils;

/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

public class SchemaUtilsTestCase extends TestCase
{
   public void testFileImport() throws Exception
   {
   	File file = new File( "src\\test-resources\\test1\\TestService.wsdl" );
   	validate( file.toURL().toString(), 3 );
   }

   public void testHttpImport() throws Exception
   {
   	validate("http://localhost:8082/soapui-tests/test1/TestService.wsdl", 3);
   }

   public void testHttpImport2() throws Exception
   {
   	validate("http://localhost:8082/soapui-tests/test2/TestService.wsdl", 3);   
   }
   
   public void testHttpImport3() throws Exception
   {
   	validate("http://localhost:8082/soapui-tests/test3/TestService.wsdl", 3);  
   }
   
   public void testHttpImport4() throws Exception
   {
   	validate("http://localhost:8082/soapui-tests/test4/TestService.wsdl", 3);  
   }
   
   public void testHttpImport5() throws Exception
   {
   	validate("http://localhost:8082/soapui-tests/test5/TestService.wsdl", 4);  
   }
   
	private void validate( String url, int cnt ) throws Exception
	{
		SchemaTypeLoader schemaTypes = SchemaUtils.loadSchemaTypes( url );
   	Map<String, XmlObject> definitionUrls = SchemaUtils.getDefinitionUrls( url );
		
   	assertNotNull( schemaTypes );
   	assertNotNull( definitionUrls );
   	assertEquals( cnt, definitionUrls.size() );
   	
   	assertNotNull( schemaTypes.findType( new QName( "http://schemas.eviware.com/TestService/v1/", "PageReference")));
	}

}
